# Uses of Interface
javax.xml.crypto.dsig.SignatureProperties

Packages that use SignatureProperties
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of SignatureProperties in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return SignatureProperties
Modifier and Type
Method
Description
`abstract SignatureProperties`
XMLSignatureFactory.`newSignatureProperties(List<? extends SignatureProperty> properties, String id)`
Creates a `SignatureProperties` containing the specified list of `SignatureProperty`s and optional id.